# $Revision: 1.63 $, $Date: 2008-05-09 11:20:39 $
%define	par	par
Summary:	A caching dns proxy for small networks or dialin accounts
Summary(pl.UTF-8):	DNS proxy serwer dla małej sieci lub jednostki z połączeniem dialup
Name:		pdnsd
Version:	1.2.6
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.phys.uu.nl/~rombouts/pdnsd/releases/%{name}-%{version}-%{par}.tar.gz
# Source0-md5:	65c88e22152a885a0437578eedc8b118
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-threads_signals.patch
Patch1:		%{name}-ac_am.patch
Patch2:		%{name}-query_roots_in_default_conf.patch
Patch3:		%{name}-ipv6_pktinfo.patch
# Old URL:	http://home.t-online.de/home/Moestl/
URL:		http://www.phys.uu.nl/~rombouts/pdnsd.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	caching-nameserver
Provides:	group(pdnsd)
Provides:	user(pdnsd)
Obsoletes:	bind
Obsoletes:	maradns
Obsoletes:	maradns-zoneserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pdnsd is a proxy DNS daemon with permanent (disk-)cache and the
ability to serve local records. It is designed to detect network
outages or hangups and to prevent DNS-dependent applications like
Netscape Navigator from hanging.

%description -l pl.UTF-8
pdnsd jest serwerem proxy dla usługi DNS, zapisującym bufor ze
zgromadzonymi informacjami na dysku. Będzie on szczególnie użyteczny
dla jednostki pracujacej w trybie off-line (np. poprzez połączenie
dialup).

%prep
%setup -q
#%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -fr src/rc
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-default-id=pdnsd \
	--enable-ipv6 \
	--enable-tcp-subseq \
	--with-query-method=udptcp \
	--with-thread-lib=LinuxThreads2 \
	--with-random-device=/dev/urandom \
	--with-par-queries=16

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/pdnsd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/pdnsd

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/pdnsd.conf{.sample,}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 140 pdnsd
%useradd -u 140 -d /tmp -s /bin/false -c "pdnsd user" -g pdnsd pdnsd

%post
/sbin/chkconfig --add pdnsd
%service pdnsd restart

%preun
if [ "$1" = "0" ]; then
	%service pdnsd stop
	/sbin/chkconfig --del pdnsd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove pdnsd
	%groupremove pdnsd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/txt/*.txt doc/html/*.html
%attr(754,root,root) /etc/rc.d/init.d/pdnsd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/pdnsd
%attr(755,root,root) %{_sbindir}/pdnsd
%attr(755,root,root) %{_sbindir}/pdnsd-ctl
%attr(775,pdnsd,pdnsd) %dir %{_var}/cache/pdnsd
%attr(664,pdnsd,pdnsd) %config(noreplace) %verify(not md5 mtime size) %{_var}/cache/pdnsd/pdnsd.cache
%attr(640,root,pdnsd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pdnsd.conf
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pdnsd.spec,v $
Revision 1.63  2008-05-09 11:20:39  kosmo
- updated to 1.2.6
- minor changes in %configure

Revision 1.62  2007-05-01 10:19:43  matkor
- Release 3. Works as caching dns server for local queries by default.

Revision 1.61  2007/04/26 22:05:07  qboosh
- CVE references

Revision 1.60  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.59  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.58  2006/09/09 01:31:20  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.57  2006/09/05 13:45:12  piti
- up to 1.2.5

Revision 1.56  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.55  2006/02/20 20:25:35  piti
- up to 1.2.4 [fixes CVE-2006-2076 CVE-2006-2077]

Revision 1.54  2005/08/02 22:09:22  zbyniu
- up to 1.2.3; o-r for conf

Revision 1.53  2005/06/11 11:00:39  arekm
- up to 1.2.2

Revision 1.52  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.51  2005/01/08 19:04:39  arekm
- add sysconfig file

Revision 1.50  2005/01/08 18:44:11  arekm
- update to 1.2.1; run as pdnsd user

Revision 1.49  2005/01/03 16:41:23  qboosh
- updated Source0 URL, added blocker

Revision 1.48  2004/10/24 12:22:07  paladine
- spelling fix

Revision 1.47  2004/08/19 10:19:37  undefine
- release 2

Revision 1.46  2003/12/12 17:43:49  arekm
- updated to 1.1.8b1-par8

Revision 1.45  2003/12/05 21:57:51  jack
- ac/am fixes (right?)

Revision 1.44  2003/08/08 15:04:39  qboosh
- more specific Requires

Revision 1.43  2003/05/28 13:00:18  malekith
- massive attack: source-md5

Revision 1.42  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/04/15 18:24:45  misi3k
- removed Obsoletes

Revision 1.40  2003/04/14 19:22:47  misi3k
- added Obsoletes

Revision 1.39  2002/12/31 11:16:43  gotar
- cut off Vendor

Revision 1.38  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.37  2002/09/28 17:55:17  kloczek
- release 5: added to Obsoletes maradns{,-zoneserver}.

Revision 1.36  2002/09/25 19:49:43  hunter
--added Provides: caching-nameserver and Obsoletes: bind (binding on port 53)

Revision 1.35  2002/06/24 04:52:19  gotar
- fixed signals handling with threads,
- release 4, STBR.

Revision 1.34  2002/06/19 08:39:58  gotar
- updated pdnsd.init, release 3.

Revision 1.33  2002/06/05 21:32:31  kloczek
- more macros.

Revision 1.32  2002/06/05 19:53:25  filon
- added missing files: man page
- new %doc, release 2

Revision 1.31  2002/05/21 23:14:21  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.30  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/01/22 21:17:43  gotar
- upgraded to 1.1.7a (bugfix).

Revision 1.28  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2002/01/08 04:43:45  gotar
- upgraded to 1.1.7 (improved security),
- removed obsoleted patches,
- STBR.

Revision 1.26  2001/12/30 10:51:14  gotar
- extended build process,
- added two patches;
        - ac2.5 satisfied (Patch0),
        - fixed CONFDIR (Patch1)!,
- chmod o+rx %{_var}/cache/pdnsd, o+r %{_var}/cache/pdnsd/pdnsd.cache,
- release 3, STBR.

Revision 1.25  2001/10/18 16:40:23  gotar
- cosmetics.

Revision 1.24  2001/10/01 09:14:40  qboosh
- BuildRequires: autoconf,automake

Revision 1.23  2001/09/29 11:14:16  blues
- release 2
- ac2.5 ready

Revision 1.22  2001/08/30 12:18:48  gotar
- awful %configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.21  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.19  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.18  2001/07/03 14:17:07  kloczek
- updated to 1.1.6 and removed obsoleted typo patch.

Revision 1.17  2001/06/10 20:43:43  kloczek
- added typo patch with fix typo in src/dns.c (s/sizof/sizeof/).

Revision 1.16  2001/06/10 19:53:23  kloczek
- release 2: adapterized.

Revision 1.15  2001/06/08 11:18:48  gotar
- changed Group.

Revision 1.14  2001/06/04 22:04:06  kloczek
- updated to 1.1.5.

Revision 1.13  2001/05/18 07:54:31  gotar
- added pdnsd-ctl to the package contents.

Revision 1.12  2001/05/13 00:02:26  kloczek
- updated to 1.1.4.

Revision 1.11  2001/05/02 21:26:29  kloczek
- release 4.

Revision 1.10  2001/05/02 09:59:28  gotar
- Ooops, don't gzip html docs.

Revision 1.9  2001/04/27 06:12:00  gotar
- a few spec cosmetics.

Revision 1.8  2001/04/24 04:57:38  kloczek
- release 3,
- fixed runlevel agains NFS exports which may want DNS names (siefca).

Revision 1.7  2001/04/13 09:22:52  gotar
- bin- and dirnames to rpm macros,
- changed behaviour of package with pdnsd.cache file,
- cosmetics, fixed typos in spec.

Revision 1.6  2001/03/01 05:48:03  kloczek
- updated to 1.1.2a.

Revision 1.5  2001/02/08 11:42:24  alchemyx
- final fix on init
- release 2, STB

Revision 1.4  2001/02/08 11:29:40  alchemyx
- init file update (needs more work)
- added cache file, changed permissions

Revision 1.3  2001/02/08 03:36:11  kloczek
- updated to 1.1.2,
- finished rewrite spec file.

Revision 1.2  2000/09/25 06:23:28  kloczek
- partialy rewrited byt NYF.
